Entur Developer
Personalisation Client Integration

Information and management of members in a program.


Get members

GET
https://api.entur.io/personalisation
/v1/programs/{programId}/members

Returns a paged list of all members in a program. Default page size is 20, maximum page size is 100.

Get members › path Parameters

programId
​integer · int64 · required · style: simple

Get members › query Parameters

customerId
​string · style: form · explode: true
page
​integer · min: 1 · style: form · explode: true
Default: 1
perPage
​integer · min: 1 · max: 200 · style: form · explode: true
Default: 20

Get members › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get members › Responses

OK

Paged content
​Member[] · readOnly · required

All items for this page

totalItems
​integer · int32 · readOnly · required

Total items which could be returned

Example: 1
totalPages
​integer · int32 · readOnly · required

Total number of pages

Example: 1

Get member

GET
https://api.entur.io/personalisation
/v1/programs/{programId}/members/{memberId}

Get a member by member ID in a program.

Get member › path Parameters

programId
​integer · int64 · required · style: simple
memberId
​integer · int64 · required · style: simple

Get member › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get member › Responses

OK

A member
id
​integer · int64 · required
customerId
​string · required

Customer id

organisationId
​integer · int64 · required

The organisation this member belongs to

createdAt
​string · date-time · required
​object | null

Metadata needed for the processing of events

updatedAt
​string | null · date-time

Get all transactions for a member

GET
https://api.entur.io/personalisation
/v1/programs/{programId}/members/{memberId}/transactions

Paged list of all transactions for a member, sorted by validFrom descending. Default page size is 20, maximum page size is 100.

Get all transactions for a member › path Parameters

programId
​integer · int64 · required · style: simple
memberId
​integer · int64 · required · style: simple

Get all transactions for a member › query Parameters

orderId
​string · style: form · explode: true

The order id to filter transactions by

The order id to filter transactions by

pointDefinitionReference
​string · style: form · explode: true

The point definition reference to filter transactions by

The point definition reference to filter transactions by

page
​integer · min: 1 · style: form · explode: true
Default: 1
perPage
​integer · min: 1 · max: 200 · style: form · explode: true
Default: 20

Get all transactions for a member › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get all transactions for a member › Responses

OK

Paged content
​Transaction[] · readOnly · required

All items for this page

totalItems
​integer · int32 · readOnly · required

Total items which could be returned

Example: 1
totalPages
​integer · int32 · readOnly · required

Total number of pages

Example: 1

Get suspension periods

GET
https://api.entur.io/personalisation
/v1/programs/{programId}/members/{memberId}/suspension-periods

Paged list of all suspension periods for a member, sorted by startAt descending. Default page size is 20, maximum page size is 100.

Get suspension periods › path Parameters

programId
​integer · int64 · required · style: simple
memberId
​integer · int64 · required · style: simple

Get suspension periods › query Parameters

page
​integer · min: 1 · style: form · explode: true
Default: 1
perPage
​integer · min: 1 · max: 200 · style: form · explode: true
Default: 20

Get suspension periods › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get suspension periods › Responses

OK

Paged content
​SuspensionPeriod[] · readOnly · required

All items for this page

totalItems
​integer · int32 · readOnly · required

Total items which could be returned

Example: 1
totalPages
​integer · int32 · readOnly · required

Total number of pages

Example: 1

Get reward ladder for a member

GET
https://api.entur.io/personalisation
/v1/programs/{programId}/members/{memberId}/reward-ladder

Reward ladder for a member shows the levels available for a member, what is required to achieve each level and what rewards are given in each level.

Get reward ladder for a member › path Parameters

programId
​integer · int64 · required · style: simple
memberId
​integer · int64 · required · style: simple

Get reward ladder for a member › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get reward ladder for a member › Responses

OK

Information about the current reward ladder for a program member
​MemberLevelSummary[] · required

Program level details, including the specific requirements and rewards for each level in the program


Get points history for a member

GET
https://api.entur.io/personalisation
/v1/programs/{programId}/members/{memberId}/points-history

Returns a paged list of points earned and consumed by a member in a program, ordered by created at descending. Default page size is 20, maximum page size is 100.

Get points history for a member › path Parameters

programId
​integer · int64 · required · style: simple
memberId
​integer · int64 · required · style: simple

Get points history for a member › query Parameters

pointDefinitionReference
​string · style: form · explode: true

The point definition reference to filter by.

The point definition reference to filter by.

Example: points
pointEventType
​string · enum · style: form · explode: true

The point type to filter by. Returns both types if not specified

The point type to filter by. Returns both types if not specified

Enum values:
EARNED
CONSUMED
Example: EARNED
createdAfter
​string · date-time · style: form · explode: true

The start of the period to filter by. Defaults to one year ago.

The start of the period to filter by. Defaults to one year ago.

Example: 2023-01-01T00:00:00Z
createdBefore
​string · date-time · style: form · explode: true

The end of the period to filter by. Defaults to current time.

The end of the period to filter by. Defaults to current time.

Example: 2024-01-01T00:00:00Z
page
​integer · min: 1 · style: form · explode: true
Default: 1
perPage
​integer · min: 1 · max: 200 · style: form · explode: true
Default: 20

Get points history for a member › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get points history for a member › Responses

OK

Paged content
​MemberPoints[] · readOnly · required

All items for this page

totalItems
​integer · int32 · readOnly · required

Total items which could be returned

Example: 1
totalPages
​integer · int32 · readOnly · required

Total number of pages

Example: 1

Point periods for member

GET
https://api.entur.io/personalisation
/v1/programs/{programId}/members/{memberId}/point-periods

Paged list of all point periods for a member in a program. It's ordered by the startAt field of the period, with the most recent first. Default page size is 20, maximum page size is 100.

Point periods for member › path Parameters

programId
​integer · int64 · required · style: simple
memberId
​integer · int64 · required · style: simple

Point periods for member › query Parameters

page
​integer · min: 1 · style: form · explode: true
Default: 1
perPage
​integer · min: 1 · max: 200 · style: form · explode: true
Default: 20

Point periods for member › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Point periods for member › Responses

OK

Paged content
​PointPeriod[] · readOnly · required

All items for this page

totalItems
​integer · int32 · readOnly · required

Total items which could be returned

Example: 1
totalPages
​integer · int32 · readOnly · required

Total number of pages

Example: 1

Get point period

GET
https://api.entur.io/personalisation
/v1/programs/{programId}/members/{memberId}/point-periods/{pointPeriodId}

Get a point period for a member in a program by the point period ID.

Get point period › path Parameters

programId
​integer · int64 · required · style: simple
memberId
​integer · int64 · required · style: simple
pointPeriodId
​integer · int64 · required · style: simple

Get point period › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get point period › Responses

OK

The core information about a point period
id
​integer · int64 · required

The ID of the point period

startAt
​string · date-time · required

The start time of the point period

endAt
​string · date-time · required

The end time of the point period

​object | null

Metadata for a point period. Example:

Code
{"userType": "ADULT", "stationPair": { "to": "NSR:StopPlace:337", "from": "NSR:StopPlace:11" } }

Did you find what you were looking for?